# Google Maps Engine API . rasters . files

## Instance Methods

Upload a file to a raster asset.

### Method Details

`insert(id, filename, media_body=None)`

    Upload a file to a raster asset.

    Args:
      id: string, The ID of the raster asset. (required)
      filename: string, The file name of this uploaded file. (required)
      media_body: string, The filename of the media request body, or an instance of a MediaUpload object.